<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">


    <TextView
        android:id="@+id/backstage_textview"
        android:layout_width="wrap_content"
        android:layout_height="60dp"
        android:layout_marginLeft="50dp"
        android:gravity="center"
        android:text="开始时间"
        android:textColor="@color/white"
        android:textSize="24sp"
        android:layout_marginTop="20dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_start_time"
        android:layout_width="260dp"
        android:layout_height="60dp"
        android:layout_marginLeft="18dp"
        android:background="@drawable/backstage_shape_debug_param_cb_unselect"
        android:gravity="center"
        android:text="请选择开始时间"
        android:textColor="#576478"
        android:textSize="24sp"
        app:layout_constraintStart_toEndOf="@+id/backstage_textview"
        app:layout_constraintTop_toTopOf="@+id/backstage_textview" />


    <TextView
        android:id="@+id/tv_end_time1"
        android:layout_width="wrap_content"
        android:layout_height="60dp"
        android:layout_marginLeft="40dp"
        android:gravity="center"
        android:text="结束时间"
        android:textColor="@color/white"
        android:textSize="24sp"
        app:layout_constraintStart_toEndOf="@+id/tv_start_time"
        app:layout_constraintTop_toTopOf="@+id/tv_start_time" />

    <TextView
        android:id="@+id/tv_end_time"
        android:layout_width="260dp"
        android:layout_height="60dp"
        android:layout_marginLeft="18dp"
        android:background="@drawable/backstage_shape_debug_param_cb_unselect"

        android:gravity="center"
        android:text="请选择结束时间"
        android:textColor="#576478"
        android:textSize="24sp"
        app:layout_constraintStart_toEndOf="@+id/tv_end_time1"
        app:layout_constraintTop_toTopOf="@+id/tv_end_time1" />

    <TextView
        android:id="@+id/backstage_textview10"
        android:layout_width="wrap_content"
        android:layout_height="60dp"
        android:layout_marginStart="40dp"
        android:gravity="center"
        android:text="单位"
        android:textColor="@color/white"
        android:textSize="24sp"
        app:layout_constraintStart_toEndOf="@+id/tv_end_time"
        app:layout_constraintTop_toTopOf="@+id/tv_end_time" />

    <RadioGroup
        android:id="@+id/rg_fancy"
        android:layout_width="260dp"
        android:layout_height="60dp"
        android:layout_gravity="center"
        android:layout_marginStart="18dp"
        android:background="@drawable/backstage_shape_debug_param_cb_unselect"
        android:gravity="center"
        android:orientation="horizontal"
        app:layout_constraintStart_toEndOf="@+id/backstage_textview10"
        app:layout_constraintTop_toTopOf="@+id/backstage_textview10">

        <RadioButton
            android:id="@+id/rb_hour"
            android:layout_width="60dp"
            android:layout_height="60dp"
            android:layout_gravity="center"
            android:layout_marginStart="5dp"
            android:checked="true"
            android:button="@null"
            android:drawableStart="@drawable/backstage_selector_rb_bg"
            android:drawablePadding="5dp"
            android:text="小时"
            android:textColor="#576478"
            android:textSize="16sp" />

        <RadioButton
            android:id="@+id/rb_day"
            android:layout_width="60dp"
            android:layout_height="60dp"
            android:layout_gravity="center"
            android:button="@null"
            android:drawableStart="@drawable/backstage_selector_rb_bg"
            android:drawablePadding="5dp"
            android:text="日"
            android:textColor="#576478"
            android:textSize="16sp" />

        <RadioButton
            android:id="@+id/rb_month"
            android:layout_width="60dp"
            android:layout_height="60dp"
            android:layout_gravity="center"
            android:button="@null"
            android:drawableStart="@drawable/backstage_selector_rb_bg"
            android:drawablePadding="5dp"
            android:text="月"
            android:textColor="#576478"
            android:textSize="16sp" />

        <RadioButton
            android:id="@+id/rb_year"
            android:layout_width="60dp"
            android:layout_height="60dp"
            android:layout_gravity="center"
            android:button="@null"
            android:drawableStart="@drawable/backstage_selector_rb_bg"
            android:drawablePadding="5dp"
            android:text="年"
            android:textColor="#576478"
            android:textSize="16sp" />
    </RadioGroup>

    <!--    <TextView-->
    <!--        android:id="@+id/backstage_textview10"-->
    <!--        android:layout_width="wrap_content"-->
    <!--        android:layout_height="wrap_content"-->
    <!--        android:layout_marginLeft="18dp"-->
    <!--        android:layout_marginTop="50dp"-->
    <!--        android:background="@drawable/backstage_shape_debug_param_cb_unselect"-->
    <!--        android:text="请选择结束时间"-->
    <!--        android:textColor="#576478"-->
    <!--        android:textSize="24sp"-->
    <!--        app:layout_constraintStart_toEndOf="@+id/tv_dangwei"-->
    <!--        app:layout_constraintTop_toTopOf="parent" />-->

    <TextView
        android:id="@+id/tv_screen"
        android:layout_width="134dp"
        android:layout_height="60dp"
        android:layout_marginStart="32dp"
        android:background="@drawable/backstage_shape_gen_content"
        android:gravity="center"
        android:text="筛选"
        android:textColor="@color/white"
        android:textSize="24sp"
        app:layout_constraintStart_toEndOf="@+id/rg_fancy"
        app:layout_constraintTop_toTopOf="@+id/backstage_textview10" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_alarm"
        android:layout_width="1500dp"
        android:layout_height="580dp"
        android:layout_marginTop="40dp"
        android:background="@drawable/backstage_shape_error_white"
        android:paddingVertical="10dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_end_time" />
    <TextView
        android:id="@+id/tv_error_tips"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="无报警信息"
        android:textSize="40dp"
        app:layout_constraintBottom_toBottomOf="@+id/rv_alarm"
        app:layout_constraintEnd_toEndOf="@+id/rv_alarm"
        app:layout_constraintStart_toStartOf="@+id/rv_alarm"
        app:layout_constraintTop_toTopOf="@+id/rv_alarm" />

</androidx.constraintlayout.widget.ConstraintLayout>